MBeanException (Java SE 13 & JDK 13 )
Description: declaration: module: java.management, package: javax.management, class: MBeanException
Keywords: javax.management.MBeanException class

Module java.management
Package javax.management

# Class MBeanException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.MBeanException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MBeanRegistrationException`

    public class MBeanException
    extends JMException

Represents "user defined" exceptions thrown by MBean methods in the agent. It "wraps" the actual "user defined" exception thrown. This exception will be built by the MBeanServer when a call to an MBean method results in an unknown exception.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MBeanException​(Exception e)` | Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
  `MBeanException​(Exception e, String message)` | Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Throwable` | `getCause()` | Return the actual `Exception` thrown.
  `Exception` | `getTargetException()` | Return the actual `Exception` thrown.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MBeanException

    public MBeanException​(Exception e)
    Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
    Parameters:
      `e` - the wrapped exception.

  - ### MBeanException

    public MBeanException​(Exception e, String message)
    Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.
    Parameters:
      `e` - the wrapped exception.
      `message` - the detail message.

- ## Method Details

  - ### getTargetException

    public Exception getTargetException()
    Return the actual `Exception` thrown.
    Returns:
      the wrapped exception.

  - ### getCause

    public Throwable getCause()
    Return the actual `Exception` thrown.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the wrapped exception.